package main

import (
	"flag"

	"git.lattuga.net/blallo/ruspa/sizer"
)

func main() {
	var path string
	var debug bool
	var depth uint
	flag.StringVar(&path, "path", ".", "The base path.")
	flag.BoolVar(&debug, "debug", false, "Toggle debug messages.")
	flag.UintVar(&depth, "depth", 1, "Max depth of the nodes to display.")
	flag.Parse()
	sizer.Debug = debug
	// rootINode := sizer.NewINode(sizer.FileTypes["dir"], 0, path)
	// rootINode.Sizer()
	sizer.NastroConvogliatore(path, depth)
}
